petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSFunctionDomainError

Check if the current state is valid

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSFunctionDomainError(TS ts,PetscReal stagetime,Vec Y,PetscBool* accept)

### Input Parameters

ts - the TS context Many brstagetime - time of the simulation Many brY - state vector to check. Many br

### Output Parameter

accept - Set to PETSC_FALSE if the current state vector is valid. Many br

### Note

This function should be used to ensure the state is in a valid part of the space. Many brFor example, one can ensure here all values are positive. Many br

Many br

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages